<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   
      <link rel="stylesheet" href="private/helpwin.css">
      <title>MATLAB File Help: iData_vDOS</title>
   </head>
   <body>
      <!--Single-page help-->
      <table border="0" cellspacing="0" width="100%">
         <tr class="subheader">
            <td class="headertitle">MATLAB File Help: iData_vDOS</td>
            <td class="subheader-left">View code for iData_vDOS</td>
            <td class="subheader-right">Default Topics</td>
         </tr>
      </table>
      <div class="title">iData_vDOS</div>
      <div class="helptext"><pre><!--helptext -->  <span class="helptopic">iData_vDOS</span> Vibrational density of states data set (iData flavour)
 
  The <span class="helptopic">iData_vDOS</span> class is a 1D data set holding a density of states
    often labelled as g(w). This usually can store a 'true' vibrational density 
    of states (vDOS), or a generalised density of states (gDOS). The axis holds
    the energy in [meV].
 
  Example: g=<span class="helptopic">iData_vDOS</span>('SQW_coh_lGe.nc')
 
  Useful methods for this iData flavour:
 
  methods(<span class="helptopic">iData_vDOS</span>)
    all iData methods can be used.
  <span class="helptopic">iData_vDOS</span>(g)
    convert input [e.g. a 2D or 4D SQW, or a 1D vDOS] into an <span class="helptopic">iData_vDOS</span> to give access to
    the methods below.
 
  d = dos(g)
    Get the vibrational density of states (vDOS).
 
  t = thermochemistry(g)
    Compute and display thermochemistry quantities from the vDOS.
 
  [SQW,Iqt,DW] = incoherent(g, q, T, sigma, m, n, DW)
    Compute the incoherent gaussian approximation scattering law S(q,w) from an initial 
    density of states vDOS.
 
  [Gw, Tsym] = multi_phonons(g, Ki, T, sigma, m, phi, n)
    compute the integrated multi-phonon generalised density of states (gDOS) 
    from an initial vibrational density of states (vDOS) in the neutron 
    scattering incoherent gaussian approximation.
    The generalised density of states (gDOS) is the sum of the terms in this expansion.
 
  gDOS = gdos(vDOS, Ki, T, sigma, m, phi, n)
    compute the generalised density of states (gDOS) from a vibrational 
    density of states (vDOS) in the neutron scattering incoherent gaussian approximation.
 
  input:
    can be an iData (1D vDOS, 2D SQW, 4D SQW) or filename to generate a 1D vDOS object.
 
  output: an <span class="helptopic">iData_vDOS</span> object</pre></div><!--after help --><!--seeAlso--><div class="footerlinktitle">See also</div><div class="footerlink"> iData
</div>
      <!--Class-->
      <div class="sectiontitle">Class Details</div>
      <table class="class-details">
         <tr>
            <td class="class-detail-label">Superclasses</td>
            <td>iData</td>
         </tr>
         <tr>
            <td class="class-detail-label">Sealed</td>
            <td>false</td>
         </tr>
         <tr>
            <td class="class-detail-label">Construct on load</td>
            <td>false</td>
         </tr>
      </table>
      <!--Constructors-->
      <div class="sectiontitle"><a name="constructors"></a>Constructor Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">iData_vDOS</td>
            <td class="m-help">Create the iData_vDOS subclass for vibrational density of states.&nbsp;</td>
         </tr>
      </table>
      <!--Properties-->
      <div class="sectiontitle"><a name="properties"></a>Property Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">Attributes</td>
            <td class="m-help">Attributes (structure that mimics the Data)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Axis</td>
            <td class="m-help">Axes for the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Data</td>
            <td class="m-help">Imported data.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Date</td>
            <td class="m-help">Date of creation of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Error</td>
            <td class="m-help">Error bar on the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Format</td>
            <td class="m-help">Format of the initial data, as text.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Label</td>
            <td class="m-help">Labels of Axes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Loader</td>
            <td class="m-help">Loader configuration (struct).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Monitor</td>
            <td class="m-help">Monitor, e.g. counting time, weight, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Name</td>
            <td class="m-help">Name of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Signal</td>
            <td class="m-help">Signal (vs Axes).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Source</td>
            <td class="m-help">Source of the data, e.g. file name, URL, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Tag</td>
            <td class="m-help">Object unique ID.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Title</td>
            <td class="m-help">Label for_Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">UserData</td>
            <td class="m-help">An area to store what you want.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">cache</td>
            <td class="m-help">&nbsp;</td>
         </tr>
      </table>
      <!--Methods-->
      <div class="sectiontitle"><a name="methods"></a>Method Summary
      </div>
      <table class="summary-list">
         
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">dos</td>
            <td class="m-help">Return the object, as it is already a density of states.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">gdos</td>
            <td class="m-help">Generalised density of states (gDOS) from a density-of-states (vDOS).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">iData</td>
            <td class="m-help">Convert a iData_vDOS back to iData.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">incoherent</td>
            <td class="m-help">Multi-phonon incoherent approximation.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">multi_phonons</td>
            <td class="m-help">Multi-phonon generalised density-of-states.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">parseparams</td>
            <td class="m-help">Search for physical quantities in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">thermochemistry</td>
            <td class="m-help">Thermodynamic quantities for vDOS data sets.&nbsp;</td>
         </tr>
      </table>
   </body>
</html>
